.cart-wrapper {
    max-width: 1660px;
    padding-bottom: 70px;
    margin: 0 auto;
}

.cart {
    padding: 0 60px;
	margin-bottom: 40px;
}

.cart__breadcrumbs {
    display: flex;
    gap: 5px;
    font-size: 12px;
    line-height: 21px;
    margin: 15px 0 40px;
    opacity: 0.6;
}

.cart__header {
    display: flex;
    align-items: flex-end;
    gap: 50px;
    margin-bottom: 50px;
}

.cart__header--empty {
    margin-bottom: 40px;
}

.cart__title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.cart__clear {
    position: relative;
    bottom: 3px;
    color: #F23300;
    font-size: 15px;
    line-height: 21px;
    text-decoration: underline;
    text-underline-offset: 3px;
}

.cart__items {
    display: flex;
    flex-direction: column;
    gap: 50px;
    margin-bottom: 80px;
}

.cart__not-available-section {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.cart__not-available-section-title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.cart__not-available-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: -35px;
    margin-bottom: 65px;
}

.cart__not-available-total {
    width: 845px;
    height: 54px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    padding: 0 20px;
}

.cart__not-available-total-label {
    font-size: 18px;
    font-weight: 600;
    opacity: 0.6;
}

.cart__not-available-total-price {
    font-size: 18px;
    font-weight: 600;
}

.cart__empty {
    ont-size: 16px;
    margin-bottom: 40px;
	color: var(--color-text-gray);
}

.cart__footer {
    display: flex;
    justify-content: space-between;
    gap: 35px;
}

.cart__specs {
    width: 490px;
    height: max-content;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    padding: 20px 15px 30px;
}

.cart__specs-title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 20px;
}

.cart__specs-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.cart__specs-item {
    position: relative;
    display: flex;
    justify-content: space-between;
    gap: 15px;
    font-size: 15px;
}

.cart__specs-item::after {
    content: '';
    width: 100%;
    position: absolute;
    top: 15px;
    border-bottom: 1px dashed #949494;
}

.cart__specs-item:last-of-type img {
    transform: translateY(-5px);
}

.cart__specs-label {
    position: relative;
    display: grid;
    grid-template-columns:30px max-content;
    background: #FFFFFF;
    z-index: 1;
}

.cart__specs-value {
    text-align: right;
}

.cart__total {
    width: 845px;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    padding: 20px 15px 30px;
}

.cart__buttons {
    display: flex;
    gap: 15px;
}

.cart__button {
    width: 495px;
    height: 54px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    background: #FFFFFF;
	border: 1px solid #2A2A2A;
    border-radius: 10px;
    transition: all .3s;
}

.cart__button:hover {
    background: #e8e8e8;
}

.cart__button--white {
    color: #2A2A2A;
    background: #FFFFFF;
    border: 1px solid #2A2A2A;
}

.cart__button--white:hover {
    background: #e8e8e8;
}

.cart-item {
    height: 145px;
    display: flex;
    justify-content: space-between;
    gap: 15px;
    border: 1px solid rgba(42, 42, 42, 0.2);
    border-radius: 10px;
    overflow: hidden;
    padding: 15px 0;
}

.cart-item--not-available {
    background: #F6F6F6 ;
}

.cart-item__image {
    flex: 0 0 15%;
    height: 100%;
    padding: 0 7px;
}

.cart-item__image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cart-item__icons {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    margin-left: -100px;
}

.cart-item__icons button {
    transition: all .3s;
}

.cart-item__icons button:hover {
    transform: scale(1.1);
}

.cart-item__icon-favorite path {
    fill: transparent;
    transition: all .3s;
}

.cart-item__icon-favorite:hover path, .cart-item__icon-favorite--active path {
    fill: #F23300;
}

.cart-item__block {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.cart-item__block:last-of-type {
    min-width: 110px;
}

.cart-item__block-title {
    font-size: 13px;
    font-weight: 600;
    opacity: 0.5;
}

.cart-item__block-value {
    font-size: 18px;
    font-weight: 600;
}

.cart-item__block-holder {
    height: 20px;
}

.cart-item__sku {
    font-size: 13px;
    font-weight: 600;
}

.cart-item__available {
    width: max-content;
    min-width: 80px;
    color: #58A848;
    font-size: 13px;
    margin-left: -100px;
}

.cart-item__counter {
    width: 280px;
    max-width: 280px;
    height: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #ECECEC;
    border-radius: 5px;
    overflow: hidden;
}

.cart-item__counter-minus {
    height: 100%;
    aspect-ratio: 1;
    color: #FFFFFF;
    background: #D9D9D9;
    border-radius: 5px;
    transition: all .3s;
}

.cart-item__counter-minus:hover {
    background: #F23300;
}

.cart-item__counter-plus {
    height: 100%;
    aspect-ratio: 1;
    color: #FFFFFF;
    background: #F23300;
    border-radius: 5px;
    transition: all .3s;
}

.cart-item__counter-plus:hover {
    background: #D02C00;
}

.cart-item__counter-value {
    font-size: 15px;
    font-weight: 600;
    text-align: center;
}

.cart-item__counter-info {
    color: #58A848;
    font-size: 13px;
    text-align: center;
}

.cart-item__buttons {
    width: 280px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 5px 0;
}

.cart-item__button {
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
    background: #F23300;
    border-radius: 5px;
    transition: all .3s;
}

.cart-item__button--white {
    color: #2A2A2A;
    background: #FFFFFF;
    border: 1px solid #2A2A2A;
}

.cart-item__button:hover {
    background: #D02C00;
}

.cart-item__button--white:hover {
    background: #e8e8e8;
}

.cart-item__delete {
    height: calc(100% + 30px);
    aspect-ratio: 1;
    background: rgba(242, 51, 0, 0.1);
    border-radius: 10px;
    margin: -15px 0;
    transition: all .3s;
}

.cart-item__delete:hover {
    background: rgba(242, 51, 0, 0.3);
}

.total__row {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 15px;
}

.total__row::after {
    content: '';
    width: 100%;
    position: absolute;
    top: 18px;
    border-bottom: 1px dashed #949494;
    z-index: 1;
}

.total__row--delivery {
    align-items: flex-start;
}

.total__row-label {
    position: relative;
    font-size: 18px;
    font-weight: 600;
    background: #FFFFFF;
    z-index: 2;
}

.total__row-price {
    position: relative;
    font-size: 18px;
    font-weight: 600;
    background: #FFFFFF;
    z-index: 1;
}

.total__row-right {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 5px;
    background: #FFFFFF;
    z-index: 1;
}

.total__row-date {
    font-size: 13px;
    font-weight: 400;
    opacity: 0.6;
}

.total__notice {
    background: rgba(242, 51, 0, 0.1);
    border-radius: 10px;
    padding: 15px 20px;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    color: rgba(42, 42, 42, 0.6);
    margin-bottom: 15px;
}

.total__discount {
    height: 54px;
    display: flex;
    align-items: center;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    margin-bottom: 20px;
    overflow: hidden;
}

.total__discount-label {
    flex: 0 0 60%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 600;
    background: #F23300;
    border-radius: 10px;
}

.total__discount-price {
    width: 100%;
    text-align: right;
    font-size: 32px;
    font-weight: 700;
    padding-right: 27px;
}

.total__checkout {
    width: 100%;
    height: 54px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    transition: all .3s;
}

.total__checkout:hover {
    background: #e8e8e8;
}

@media (max-width: 1440px) {
	.cart {
		padding: 0 20px;
	}
}

@media (max-width: 1240px) {
    .cart-item {
        height: max-content;
        display: grid;
        grid-template-columns: 250px 1fr 1fr;
        padding: 15px;
    }

    .cart-item__image {
        grid-column: 1;
        grid-row: 2;
        padding: 0;
    }

    .cart-item__icons {
        grid-column: 1;
        grid-row: 1;
        align-items: center;
        margin-left: 0;
    }

    .cart-item__block {
        position: relative;
        grid-column: span 3;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-bottom: 15px;
    }

    .cart-item__block:after {
        content: '';
        width: 100%;
        position: absolute;
        top: 15px;
        border-bottom: 1px dashed #D9D9D9;
    }

    .cart-item__block-title {
        position: relative;
        background: #FFFFFF;
        z-index: 1;
    }

    .cart-item__block-value {
        position: relative;
        background: #FFFFFF;
        z-index: 1;
    }

    .cart-item__block-holder {
        display: none;
    }

    .cart-item__block--title {
        grid-column: 2;
        flex-direction: column;
        justify-content: space-around;
        padding-left: 10px;
        margin-bottom: 10px;
    }

    .cart-item__block--title:after {
        content: none;
    }

    .cart-item__block--title .cart-item__block-title {
        display: none;
    }

    .cart-item__block--counter {
        grid-column: 3;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 25px;
    }

    .cart-item__block--counter:after {
        content: none;
    }

    .cart-item__available {
        grid-column: 2;
        grid-row: 1;
        display: flex;
        align-items: center;
        gap: 5px;
        margin-left: 10px;
    }

    .cart-item__counter {
        width: 100%;
    }

    .cart-item__buttons {
        width: 100%;
        grid-column: span 3;
        order: 1;
        gap: 9px;
        padding: 0;
        margin-bottom: 15px;
    }

    .cart-item__delete {
        grid-column: 3;
        grid-row: 1;
        justify-self: flex-end;
        height: 50px;
        margin: 0;
    }

    .cart-item__delete img {
        width: 40%;
        height: auto;
    }

    .cart-item--not-available .cart-item__block-title, .cart-item--not-available .cart-item__block-value {
        background: #F6F6F6;
        opacity: 0.6;
    }
}

@media (max-width: 1024px) {
    .cart__items {
        margin-bottom: 35px;
    }

    .cart__not-available-wrapper {
        margin-top: 0;
        margin-bottom: 35px;
    }

    .cart__not-available-total {
        width: 100%;
    }

    .cart__footer {
        flex-direction: column;
    }

    .cart__specs {
        width: 100%;
    }

    .cart__total {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .cart-wrapper {
        padding-bottom: 40px;
    }

    .cart__breadcrumbs {
        font-size: 10px;
        line-height: normal;
        margin: 15px 0 23px;
    }

    .cart__header {
        margin-bottom: 20px;
        gap: 0;
        justify-content: space-between;
    }

    .cart__header--empty {
        margin-bottom: 15px;
    }

    .cart__title {
        font-size: 12px;
    }

    .cart__clear {
        bottom: 1px;
        font-size: 10px;
        line-height: normal;
    }

    .cart__items {
        margin-bottom: 30px;
        gap: 20px
    }

    .cart__empty {
        font-size: 12px;
        margin-bottom: 23px;
    }

    .cart__not-available-section {
        gap: 20px
    }

    .cart__not-available-section-title {
        font-size: 12px;
    }

    .cart__not-available-wrapper {
        margin-bottom: 20px;
    }

    .cart__not-available-total {
        width: 100%;
        height: 30px;
        border-radius: 5px;
        padding: 0 15px;
    }

    .cart__not-available-total-label {
        font-size: 12px;
    }

    .cart__not-available-total-price {
        font-size: 12px;
    }

    .cart__specs {
        width: 100%;
        border-radius: 5px;
        padding: 15px 20px;
    }

    .cart__specs-title {
        font-size: 12px;
        margin-bottom: 15px;
    }

    .cart__specs-list {
        gap: 10px;
    }

    .cart__specs-item {
        font-size: 12px;
    }

    .cart__specs-item::after {
        top: 12px;
    }

    .cart__specs-item:last-of-type img {
        transform: translateY(-5px);
    }

    .cart__specs-label {
        grid-template-columns: 25px max-content;
    }

    .cart__specs-label img {
        max-width: 20px;
    }

    .cart__specs-value {
        max-width: 150px;
    }

    .cart__specs-value br {
        display: none;
    }

    .cart__total {
        width: 100%;
        border-radius: 5px;
        padding: 15px 20px;
    }

    .cart__buttons {
        flex-direction: column;
        gap: 10px;
    }

    .cart__button {
        width: 100%;
        height: 30px;
        font-size: 12px;
        border-radius: 5px;
    }

    .cart-item {
        grid-template-columns: 1fr 1fr 35px;
        padding: 10px 10px 0 15px;
    }

    .cart-item__block:after {
        top: 10px;
    }

    .cart-item__block-title {
        font-size: 10px;
        font-weight: 400;
        opacity: 1;
    }

    .cart-item__block-value {
        font-size: 10px;
    }

    .cart-item__block--title {
        grid-column: 2 / span 2;
    }

    .cart-item__block--title .cart-item__block-value {
        max-width: 110px;
        font-size: 12px;
        font-weight: 600;
        opacity: 1 !important;
    }

    .cart-item__block--counter {
        grid-column: span 3;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 5px;
    }

    .cart-item__block-value--total {
        font-size: 12px;
    }

    .cart-item__sku {
        font-size: 10px;
        font-weight: 400;
    }

    .cart-item__available {
        font-size: 10px;
    }

    .cart-item__available svg {
        width: 9px;
        height: auto;
    }

    .cart-item__counter {
        max-width: 160px;
        border-radius: 3px;
    }

    .cart-item__counter-minus {
        border-radius: 3px;
    }

    .cart-item__counter-plus {
        border-radius: 3px;
    }

    .cart-item__counter-value {
        font-size: 10px
    }

    .cart-item__counter-info {
        display: none;
    }

    .cart-item__button {
        height: 30px;
        gap: 6px;
        font-size: 12px;
        border-radius: 3px;
    }

    .cart-item__delete {
        height: 35px;
    }

    .cart-item__delete img {
        width: 15px;
    }

    .total__row {
        font-size: 12px;
        margin-bottom: 10px;
    }

    .total__row::after {
        top: 12px
    }

    .total__row-label {
        font-size: 12px;
    }

    .total__row-price {
        font-size: 12px;
    }

    .total__row-date {
        font-size: 10px;
    }

    .total__notice {
        font-size: 12px;
        padding: 10px 15px;
        margin-bottom: 10px;
    }

    .total__discount {
        height: 28px;
        border-radius: 5px;
        margin-bottom: 15px;
    }

    .total__discount-label {
        position: relative;
        flex: 0 0 75%;
        font-size: 12px;
        border-radius: 5px;
        left: -1px;
    }

    .total__discount-price {
        font-size: 12px;
        padding-right: 5px;
    }

    .total__checkout {
        height: 30px;
        font-size: 12px;
        border-radius: 5px;
    }
}